package com.chuanglan.shanyan_sdk_test_demo.utils;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.Drawable;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import com.chuanglan.shanyan_sdk.OneKeyLoginManager;
import com.chuanglan.shanyan_sdk.listener.ShanYanCustomInterface;
import com.chuanglan.shanyan_sdk.tool.ShanYanUIConfig;
import com.chuanglan.shanyan_sdk_test_demo.R;
import com.chuanglan.shanyan_sdk_test_demo.view.OtherLoginActivity;


public class ConfigUtils {
    /**
     * 闪验三网运营商授权页配置类
     *
     * @param context
     * @return
     */

    //dialog竖屏样式设置
    public static ShanYanUIConfig getDialogUiConfig(final Context context) {
        /************************************************自定义控件**************************************************************/
        //其他方式登录
        TextView otherTV = new TextView(context);
        otherTV.setText("其他方式登录");
        otherTV.setTextColor(0xff3a404c);
        otherTV.setTextSize(TypedValue.COMPLEX_UNIT_SP, 13);
        RelativeLayout.LayoutParams mLayoutParams1 = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        mLayoutParams1.setMargins(0, AbScreenUtils.dp2px(context, 230), 0, 0);
        mLayoutParams1.addRule(RelativeLayout.CENTER_HORIZONTAL);
        otherTV.setLayoutParams(mLayoutParams1);

        //loading自定义加载框
        LayoutInflater inflater = LayoutInflater.from(context);
        RelativeLayout view_dialog = (RelativeLayout) inflater.inflate(R.layout.shanyan_demo_dialog_layout, null);
        RelativeLayout.LayoutParams mLayoutParams3 = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT);
        view_dialog.setLayoutParams(mLayoutParams3);
        view_dialog.setVisibility(View.GONE);

        LayoutInflater inflater1 = LayoutInflater.from(context);
        RelativeLayout relativeLayout = (RelativeLayout) inflater1.inflate(R.layout.shanyan_demo_other_login_item, null);
        RelativeLayout.LayoutParams layoutParamsOther = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        layoutParamsOther.setMargins(0, AbScreenUtils.dp2px(context, 190), 0, 0);
        layoutParamsOther.addRule(RelativeLayout.CENTER_HORIZONTAL);
        relativeLayout.setLayoutParams(layoutParamsOther);
        otherLogin(context, relativeLayout);

        //设置授权页固有控件
        Drawable authNavHidden = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_dialog_bg);
        Drawable navReturnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_return_bg);
        Drawable logoImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_logo);
        Drawable logBtnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_bt);
        Drawable uncheckedImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_uncheck_image);
        Drawable checkedImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_check_image);
        ShanYanUIConfig uiConfig = new ShanYanUIConfig.Builder()
                .setDialogTheme(true, AbScreenUtils.getScreenWidth(context, true) - 66, 400, 0, 0, false)//设置弹窗样式
                .setAuthBGImgPath(authNavHidden)//设置授权页背景图片
                .setDialogDimAmount(0.6f)

                //授权页导航栏：
                .setNavColor(Color.parseColor("#ffffff"))  //设置导航栏颜色
                .setNavText("")  //设置导航栏标题文字
                .setNavTextColor(0xff080808) //设置标题栏文字颜色
                .setNavReturnImgPath(navReturnImgPath)  //设置标题栏返回按钮图片
                .setNavReturnBtnWidth(25)//设置标题栏返回按钮宽度
                .setNavReturnBtnHeight(25)//设置标题栏返回按钮高度
                .setNavReturnBtnOffsetRightX(15)//设置标题栏返回按钮据屏幕右边距

                //授权页logo
                .setLogoImgPath(logoImgPath)  //设置logo图片
                .setLogoWidth(108)   //设置logo宽度
                .setLogoHeight(45)   //设置logo高度
                .setLogoOffsetY(25)  //设置logo相对于标题栏下边缘y偏移
                .setLogoHidden(false)   //是否隐藏logo

                //授权页号码栏：
                .setNumberColor(0xff397BF9)  //设置手机号码字体颜色
                .setNumFieldOffsetY(74)    //设置号码栏相对于标题栏下边缘y偏移
                .setNumberSize(18)//设置手机号码字体大小

                //授权页登录按钮：
                .setLogBtnText("本机号码一键登录")  //设置登录按钮文字
                .setLogBtnTextColor(0xffffffff)   //设置登录按钮文字颜色
                .setLogBtnImgPath(logBtnImgPath)   //设置登录按钮图片
                .setLogBtnOffsetY(140)   //设置登录按钮相对于标题栏下边缘y偏移
                .setLogBtnTextSize(15)//设置登录按钮文字大小
                .setLogBtnWidth(250)//设置登录按钮宽度
                .setLogBtnHeight(40)//设置登录按钮高度

                //授权页隐私栏：
                .setAppPrivacyOne("闪验用户协议", "https://api.253.com/api_doc/yin-si-zheng-ce/wei-hu-wang-luo-an-quan-sheng-ming.html")  //设置隐私条款1名称和URL(名称，url)
                .setAppPrivacyTwo("闪验隐私政策", "https://api.253.com/api_doc/yin-si-zheng-ce/ge-ren-xin-xi-bao-hu-sheng-ming.html")  //设置隐私条款2名称和URL(名称，url)
                .setAppPrivacyColor(0xff666666, 0xff0085d0)   //	设置隐私条款名称颜色(基础文字颜色，协议文字颜色)
                .setPrivacyOffsetBottomY(20)//设置隐私条款相对于屏幕下边缘y偏
                .setUncheckedImgPath(uncheckedImgPath)//设置隐私栏复选框未选中时背景
                .setCheckedImgPath(checkedImgPath)//设置隐私栏复选框选中时背景
                .setPrivacyState(true)//设置隐私条款

                //授权页slogan：
                .setSloganTextColor(0xff999999)  //设置slogan文字颜色
                .setSloganOffsetY(104)  //设置slogan相对于标题栏下边缘y偏移
                .setSloganTextSize(9)//设置slogan文字大小
                //设置loading样式
                .setLoadingView(view_dialog)//设置自定义loading布局
                // 添加自定义控件
                .addCustomView(relativeLayout, false, false, null) // 添加自定义控件布局
                .build();
        return uiConfig;

    }

    //弹窗横屏样式设置
    public static ShanYanUIConfig getLandscapeUiConfig(final Context context) {
        /************************************************自定义控件**************************************************************/
        //右上角关闭按钮
        Button close = new Button(context);
        close.setBackgroundResource(context.getResources().getIdentifier("shanyan_demo_return_bg", "drawable", context.getPackageName()));
        RelativeLayout.LayoutParams mLayoutParamsClose = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        mLayoutParamsClose.setMargins(0, AbScreenUtils.dp2px(context, 15), AbScreenUtils.dp2px(context, 15), 0);
        mLayoutParamsClose.width = AbScreenUtils.dp2px(context, 20);
        mLayoutParamsClose.height = AbScreenUtils.dp2px(context, 20);
        mLayoutParamsClose.addRule(RelativeLayout.ALIGN_PARENT_RIGHT);
        close.setLayoutParams(mLayoutParamsClose);
        //其他方式登录
        TextView otherTV = new TextView(context);
        otherTV.setText("其他方式登录");
        otherTV.setTextColor(0xff3a404c);
        otherTV.setTextSize(TypedValue.COMPLEX_UNIT_SP, 13);
        RelativeLayout.LayoutParams mLayoutParams1 = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        mLayoutParams1.setMargins(0, AbScreenUtils.dp2px(context, 175), 0, 0);
        mLayoutParams1.addRule(RelativeLayout.CENTER_HORIZONTAL);
        otherTV.setLayoutParams(mLayoutParams1);
        //标题栏下划线
        View view = new View(context);
        view.setBackgroundColor(0xffe8e8e8);
        RelativeLayout.LayoutParams mLayoutParams3 = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, AbScreenUtils.dp2px(context, 1));
        mLayoutParams3.setMargins(0, AbScreenUtils.dp2px(context, 44), 0, 0);
        view.setLayoutParams(mLayoutParams3);
        //自定义控件
        TextView tip = new TextView(context);
        tip.setText("使用该手机号登录");
        tip.setTextColor(0xff1E3179);
        tip.setTextSize(TypedValue.COMPLEX_UNIT_SP, 15);
        RelativeLayout.LayoutParams mLayoutParamsTip = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        mLayoutParamsTip.setMargins(AbScreenUtils.dp2px(context, 15), AbScreenUtils.dp2px(context, 65), 0, 0);
        mLayoutParamsTip.addRule(RelativeLayout.ALIGN_PARENT_LEFT);
        tip.setLayoutParams(mLayoutParamsTip);

        LayoutInflater inflater1 = LayoutInflater.from(context);
        RelativeLayout relativeLayout = (RelativeLayout) inflater1.inflate(R.layout.shanyan_demo_other_login_dialog_item, null);
        RelativeLayout.LayoutParams layoutParamsOther = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        layoutParamsOther.addRule(RelativeLayout.CENTER_HORIZONTAL);
        layoutParamsOther.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
        relativeLayout.setLayoutParams(layoutParamsOther);
        otherLogin(context, relativeLayout);

        //设置授权页固有
        Drawable authNavHidden = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_dialog_bg);
        Drawable navReturnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_return_left_bg);
        Drawable logoImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_logo);
        Drawable logBtnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_bt);
        Drawable uncheckedImgPath = context.getResources().getDrawable(R.drawable.umcsdk_uncheck_image);
        Drawable checkedImgPath = context.getResources().getDrawable(R.drawable.umcsdk_check_image);
        ShanYanUIConfig uiConfig = new ShanYanUIConfig.Builder()
                .setDialogTheme(true, 460, 240, 0, 0, false)
                .setDialogDimAmount(0.6f)

                //授权页导航栏：
                .setNavColor(Color.parseColor("#ffffff"))  //设置导航栏颜色
                .setNavText("")  //设置导航栏标题文字
                .setNavTextColor(0xff080808) //设置标题栏文字颜色
                .setNavReturnImgPath(navReturnImgPath)  //
                .setNavReturnImgHidden(false)
                .setAuthBGImgPath(authNavHidden)
                .setAuthNavHidden(true)
                .setNavReturnImgHidden(true)

                //授权页logo（logo的层级在次底层，仅次于自定义控件）
                .setLogoImgPath(logoImgPath)  //设置logo图片
                .setLogoWidth(108)   //设置logo宽度
                .setLogoHeight(36)   //设置logo高度
                .setLogoOffsetY(5)  //设置logo相对于标题栏下边缘y偏移
                .setLogoOffsetX(15)
                .setLogoHidden(false)   //是否隐藏logo

                //授权页号码栏：
                .setNumberColor(0xff333333)  //设置手机号码字体颜色
                .setNumFieldOffsetY(100)    //设置号码栏相对于标题栏下边缘y偏移
                .setNumberSize(18)
                .setNumFieldWidth(120)
                .setNumFieldOffsetX(15)

                //授权页登录按钮：
                .setLogBtnText("本机号码一键登录")  //设置登录按钮文字
                .setLogBtnTextColor(0xffffffff)   //设置登录按钮文字颜色
                .setLogBtnImgPath(logBtnImgPath)   //设置登录按钮图片
                .setLogBtnOffsetY(93)   //设置登录按钮相对于标题栏下边缘y偏移
                .setLogBtnTextSize(15)
                .setLogBtnWidth(150)
                .setLogBtnHeight(45)

                //授权页隐私栏：
                .setAppPrivacyOne("闪验用户协议", "https://api.253.com/api_doc/yin-si-zheng-ce/wei-hu-wang-luo-an-quan-sheng-ming.html")  //设置开发者隐私条款1名称和URL(名称，url)
                .setAppPrivacyTwo("闪验隐私政策", "https://api.253.com/api_doc/yin-si-zheng-ce/ge-ren-xin-xi-bao-hu-sheng-ming.html")  //设置开发者隐私条款2名称和URL(名称，url)
                //.setAppPrivacyColor(0xff666666, 0xff0085d0)   //	设置隐私条款名称颜色(基础文字颜色，协议文字颜色)
                .setPrivacyOffsetY(156)
                .setUncheckedImgPath(uncheckedImgPath)
                .setCheckedImgPath(checkedImgPath)
                .setPrivacySmhHidden(true)

                //授权页slogan：
                .setSloganTextColor(0xff999999)  //设置slogan文字颜色
                .setSloganOffsetY(40)  //设置slogan相对于标题栏下边缘y偏移
                .setSloganTextSize(9)
                .setSloganHidden(true)
                .setShanYanSloganHidden(true)

                // 添加自定义控件:
                //其他方式登录及监听，可以不写
                .addCustomView(close, true, false, new ShanYanCustomInterface() {
                    @Override
                    public void onClick(Context context, View view) {
                        Toast.makeText(context, "点击关闭", Toast.LENGTH_SHORT).show();
                    }
                })
                //标题栏下划线，可以不写
                .addCustomView(view, false, false, null)
                .addCustomView(tip, false, false, null)
                .addCustomView(relativeLayout, false, false, null)
                .build();
        return uiConfig;

    }

    //沉浸式竖屏样式
    public static ShanYanUIConfig getCJSConfig(final Context context) {
        /************************************************自定义控件**************************************************************/
        Drawable logBtnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_bt);
        Drawable backgruond = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_no_bg);
        Drawable returnBg = context.getResources().getDrawable(R.drawable.shanyan_demo_return_left_bg);
        //loading自定义加载框
        LayoutInflater inflater = LayoutInflater.from(context);
        RelativeLayout view_dialog = (RelativeLayout) inflater.inflate(R.layout.shanyan_demo_dialog_layout, null);
        RelativeLayout.LayoutParams mLayoutParams3 = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT);
        view_dialog.setLayoutParams(mLayoutParams3);
        view_dialog.setVisibility(View.GONE);

        //号码栏背景
        LayoutInflater numberinflater = LayoutInflater.from(context);
        RelativeLayout numberLayout = (RelativeLayout) numberinflater.inflate(R.layout.shanyan_demo_phobackground, null);
        RelativeLayout.LayoutParams numberParams = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        numberParams.setMargins(0, 0, 0, AbScreenUtils.dp2px(context, 250));
        numberParams.width = AbScreenUtils.getScreenWidth(context, false) - AbScreenUtils.dp2px(context, 50);
        numberParams.addRule(RelativeLayout.CENTER_HORIZONTAL);
        numberParams.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
        numberLayout.setLayoutParams(numberParams);

        LayoutInflater inflater1 = LayoutInflater.from(context);
        RelativeLayout relativeLayout = (RelativeLayout) inflater1.inflate(R.layout.shanyan_demo_other_login_item, null);
        RelativeLayout.LayoutParams layoutParamsOther = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        layoutParamsOther.setMargins(0, 0, 0, AbScreenUtils.dp2px(context, 80));
        layoutParamsOther.addRule(RelativeLayout.CENTER_HORIZONTAL);
        layoutParamsOther.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
        relativeLayout.setLayoutParams(layoutParamsOther);
        otherLogin(context, relativeLayout);
        ShanYanUIConfig uiConfig = new ShanYanUIConfig.Builder()
                .setActivityTranslateAnim("shanyan_demo_fade_in_anim", "shanyan_dmeo_fade_out_anim")
                //授权页导航栏：
                .setNavColor(Color.parseColor("#ffffff"))  //设置导航栏颜色
                .setNavText("")  //设置导航栏标题文字
                .setNavReturnBtnWidth(35)
                .setNavReturnBtnHeight(35)
                .setAuthBGImgPath(backgruond)
                .setLogoHidden(true)   //是否隐藏logo
                .setDialogDimAmount(0f)
                .setNavReturnImgPath(returnBg)
                .setFullScreen(true)
                .setStatusBarHidden(true)


                //授权页号码栏：
                .setNumberColor(Color.parseColor("#ffffff"))  //设置手机号码字体颜色
                .setNumFieldOffsetBottomY(250)    //设置号码栏相对于标题栏下边缘y偏移
                .setNumberSize(15)
                .setNumFieldHeight(50)
                .setNumFieldOffsetX(155)



                //授权页登录按钮：
                .setLogBtnText("本机号码一键登录")  //设置登录按钮文字
                .setLogBtnTextColor(0xffffffff)   //设置登录按钮文字颜色
                .setLogBtnImgPath(logBtnImgPath)   //设置登录按钮图片
                .setLogBtnTextSize(15)
                .setLogBtnHeight(45)
                .setLogBtnOffsetBottomY(180)
                .setLogBtnWidth(AbScreenUtils.getScreenWidth(context, true) - 50)

                //授权页隐私栏：
                .setAppPrivacyOne("闪验用户协议", "https://api.253.com/api_doc/yin-si-zheng-ce/wei-hu-wang-luo-an-quan-sheng-ming.html")  //设置开发者隐私条款1名称和URL(名称，url)
                .setAppPrivacyTwo("闪验隐私政策", "https://api.253.com/api_doc/yin-si-zheng-ce/ge-ren-xin-xi-bao-hu-sheng-ming.html")  //设置开发者隐私条款2名称和URL(名称，url)
                .setAppPrivacyColor(Color.parseColor("#ffffff"), Color.parseColor("#60C4FC"))    //	设置隐私条款名称颜色(基础文字颜色，协议文字颜色)
                .setPrivacyText("同意", "和", "、", "、", "并授权闪验测试demo获取手机号")
                .setPrivacyOffsetBottomY(20)//设置隐私条款相对于屏幕下边缘y偏
                .setPrivacyState(true)
                .setPrivacyTextSize(10)
                .setPrivacyOffsetX(26)
                .setSloganHidden(true)
                .setShanYanSloganTextColor(Color.parseColor("#ffffff"))

                .addCustomView(numberLayout, false, false, null)

                .setLoadingView(view_dialog)
                // 添加自定义控件:
                .addCustomView(relativeLayout, false, false, null)
                //标题栏下划线，可以不写
                .build();
        return uiConfig;

    }


    //沉浸式横屏样式设置
    public static ShanYanUIConfig getCJSLandscapeUiConfig(final Context context) {

        //其他方式登录
        LayoutInflater inflater1 = LayoutInflater.from(context);
        RelativeLayout relativeLayout = (RelativeLayout) inflater1.inflate(R.layout.shanyan_demo_other_login_item, null);
        RelativeLayout.LayoutParams layoutParamsOther = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        layoutParamsOther.setMargins(0, 0, 0, AbScreenUtils.dp2px(context, 50));
        layoutParamsOther.addRule(RelativeLayout.CENTER_HORIZONTAL);
        layoutParamsOther.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
        relativeLayout.setLayoutParams(layoutParamsOther);
        otherLogin(context, relativeLayout);


        //号码栏背景
        LayoutInflater numberinflater = LayoutInflater.from(context);
        RelativeLayout numberLayout = (RelativeLayout) numberinflater.inflate(R.layout.shanyan_demo_phobackground, null);
        RelativeLayout.LayoutParams numberParams = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.WRAP_CONTENT, RelativeLayout.LayoutParams.WRAP_CONTENT);
        numberParams.setMargins(0, 0, 0, AbScreenUtils.dp2px(context, 200));
        numberParams.width = AbScreenUtils.dp2px(context, 330);
        numberParams.addRule(RelativeLayout.CENTER_HORIZONTAL);
        numberParams.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
        numberLayout.setLayoutParams(numberParams);

        LayoutInflater privacyInflater = LayoutInflater.from(context);
        final RelativeLayout privacyLayout = (RelativeLayout) privacyInflater.inflate(R.layout.shanyan_demo_dialog_privacy_land, null);
        RelativeLayout.LayoutParams privacyLayoutLayoutParams = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT);
        privacyLayout.setLayoutParams(privacyLayoutLayoutParams);
        privacyLayout.findViewById(R.id.shanyan_demo_privace_cancel).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                privacyLayout.setVisibility(View.GONE);
            }
        });
        privacyLayout.findViewById(R.id.shanyan_demo_privacy_ensure).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                OneKeyLoginManager.getInstance().setCheckBoxValue(true);
                privacyLayout.setVisibility(View.GONE);
            }
        });
        //设置授权页固有控件
        Drawable navReturnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_return_left_bg);
        Drawable logBtnImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_bt);
        Drawable uncheckedImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_uncheck_image);
        Drawable checkedImgPath = context.getResources().getDrawable(R.drawable.shanyan_demo_check_image);
        Drawable backgruond = context.getResources().getDrawable(R.drawable.shanyan_demo_auth_no_bg);

        //loading自定义加载框
        LayoutInflater inflater = LayoutInflater.from(context);
        RelativeLayout view_dialog = (RelativeLayout) inflater.inflate(R.layout.shanyan_demo_dialog_layout, null);
        RelativeLayout.LayoutParams mLayoutParams3 = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT);
        view_dialog.setLayoutParams(mLayoutParams3);
        view_dialog.setVisibility(View.GONE);
        ShanYanUIConfig uiConfig = new ShanYanUIConfig.Builder()
                .setActivityTranslateAnim("shanyan_demo_fade_in_anim", "shanyan_dmeo_fade_out_anim")
                //授权页导航栏：
                .setNavColor(Color.parseColor("#ffffff"))  //设置导航栏颜色
                .setNavText("")  //设置导航栏标题文字
                .setNavTextColor(0xff080808) //设置标题栏文字颜色
                .setNavReturnBtnWidth(35)
                .setNavReturnBtnHeight(35)
                .setNavReturnImgPath(navReturnImgPath)
                .setAuthBGImgPath(backgruond)
                .setDialogDimAmount(0f)
                .setFullScreen(true)


                //授权页logo
                .setLogoHidden(true)   //是否隐藏logo

                //授权页号码栏：
                .setNumberColor(0xffffffff)  //设置手机号码字体颜色
                .setNumFieldOffsetBottomY(200)    //设置号码栏相对于标题栏下边缘y偏移
                .setNumberSize(18)
                .setNumFieldHeight(50)


                //授权页登录按钮：
                .setLogBtnText("本机号码一键登录")  //设置登录按钮文字
                .setLogBtnTextColor(0xffffffff)   //设置登录按钮文字颜色
                .setLogBtnImgPath(logBtnImgPath)   //设置登录按钮图片
                .setLogBtnOffsetBottomY(130)   //设置登录按钮相对于标题栏下边缘y偏移
                .setLogBtnTextSize(15)
                .setLogBtnWidth(330)
                .setLogBtnHeight(45)

                //授权页隐私栏：
                .setAppPrivacyOne("闪验用户协议", "https://api.253.com/api_doc/yin-si-zheng-ce/wei-hu-wang-luo-an-quan-sheng-ming.html")  //设置开发者隐私条款1名称和URL(名称，url)
                .setAppPrivacyTwo("闪验隐私政策", "https://api.253.com/api_doc/yin-si-zheng-ce/ge-ren-xin-xi-bao-hu-sheng-ming.html")  //设置开发者隐私条款2名称和URL(名称，url)
                .setAppPrivacyColor(Color.parseColor("#ffffff"), Color.parseColor("#60C4FC"))   //	设置隐私条款名称颜色(基础文字颜色，协议文字颜色)
                .setPrivacyOffsetBottomY(20)
                .setPrivacyTextSize(10)
                .setUncheckedImgPath(uncheckedImgPath)
                .setCheckedImgPath(checkedImgPath)
                .setCheckBoxMargin(10, 5, 10, 5)
                .setPrivacyState(true)
                .addCustomPrivacyAlertView(privacyLayout)

                //授权页slogan：
                .setSloganHidden(true)
                .setShanYanSloganTextColor(Color.parseColor("#ffffff"))
                .setLoadingView(view_dialog)
                .addCustomView(relativeLayout, false, false, null)
                .addCustomView(numberLayout, false, false, null)
                .build();
        return uiConfig;
    }

    private static void otherLogin(final Context context, RelativeLayout relativeLayout) {
        ImageView weixin = relativeLayout.findViewById(R.id.shanyan_dmeo_weixin);
        ImageView qq = relativeLayout.findViewById(R.id.shanyan_dmeo_qq);
        ImageView weibo = relativeLayout.findViewById(R.id.shanyan_dmeo_weibo);
        weixin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(context, OtherLoginActivity.class);
                intent.putExtra("type", "0");
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                context.startActivity(intent);
            }
        });
        qq.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(context, OtherLoginActivity.class);
                intent.putExtra("type", "1");
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                context.startActivity(intent);

            }
        });
        weibo.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(context, OtherLoginActivity.class);
                intent.putExtra("type", "2");
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                context.startActivity(intent);

            }
        });
    }
}
