package com.chuanglan.shanyan_sdk_test_demo.view;

import android.app.Activity;
import android.app.Application;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;
import android.widget.RelativeLayout;

import com.chuanglan.shanyan_sdk.OneKeyLoginManager;
import com.chuanglan.shanyan_sdk.listener.OneKeyLoginListener;
import com.chuanglan.shanyan_sdk.listener.OpenLoginAuthListener;
import com.chuanglan.shanyan_sdk.view.CmccLoginActivity;
import com.chuanglan.shanyan_sdk.view.ShanYanOneKeyActivity;
import com.chuanglan.shanyan_sdk_test_demo.R;
import com.chuanglan.shanyan_sdk_test_demo.utils.AbScreenUtils;
import com.chuanglan.shanyan_sdk_test_demo.utils.ConfigUtils;
import com.chuanglan.shanyan_sdk_test_demo.utils.ForebackUtils;
import com.chuanglan.shanyan_sdk_test_demo.utils.OnMultiClickUtils;
import com.chuanglan.shanyan_sdk_test_demo.utils.VideoUtils;

import java.lang.ref.WeakReference;

public class LoginActivity extends AppCompatActivity {
    private RelativeLayout defultRl = null;
    private MyVideoView videoView = null;
    private boolean isOpenAuth = false;
    private RelativeLayout shanyan_login_relative;
    public static WeakReference<LoginActivity> loginActivityWeakReference;

    ForebackUtils.Listener listener = new ForebackUtils.Listener() {
        @Override
        public void onApplicationEnterForeground(Activity activity) {
            if (activity instanceof LoginActivity || activity instanceof ShanYanOneKeyActivity || activity instanceof CmccLoginActivity)
                AbScreenUtils.hideBottomUIMenu(activity);
        }

        @Override
        public void onApplicationEnterBackground(Activity activity) {
            if (activity instanceof LoginActivity || activity instanceof ShanYanOneKeyActivity || activity instanceof CmccLoginActivity)
                AbScreenUtils.hideBottomUIMenu(activity);
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
            setContentView(R.layout.shanyan_demo_activity_login_land);
        } else if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_PORTRAIT) {
            setContentView(R.layout.shanyan_demo_activity_login);
        }
        ForebackUtils.init((Application) getApplicationContext());
        ForebackUtils.unregisterListener(listener);
        ForebackUtils.registerListener(listener);
        AbScreenUtils.hideBottomUIMenu(this);
        initView();
        initEvent();

    }

    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
            setContentView(R.layout.shanyan_demo_activity_login_land);
        } else if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_PORTRAIT) {
            setContentView(R.layout.shanyan_demo_activity_login);
        }
        initView();
        initEvent();
    }

    @Override
    protected void onRestart() {
        super.onRestart();
        VideoUtils.startBgVideo(videoView, getApplicationContext(), "android.resource://" + this.getPackageName() + "/" + R.raw.shanyan_demo_test_vedio);
    }

    @Override
    protected void onResume() {
        super.onResume();
        AbScreenUtils.hideBottomUIMenu(this);
    }

    @Override
    protected void onStop() {
        super.onStop();
        videoView.stopPlayback();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        ForebackUtils.unregisterListener(listener);
        if (null != shanyan_login_relative) {
            shanyan_login_relative.removeAllViews();
        }
        if (null != videoView) {
            videoView.setOnCompletionListener(null);
            videoView.setOnPreparedListener(null);
            videoView.setOnErrorListener(null);
            videoView = null;
        }

    }

    private void initEvent() {
        //本地数据
        VideoUtils.startBgVideo(videoView, getApplicationContext(), "android.resource://" + this.getPackageName() + "/" + R.raw.shanyan_demo_test_vedio);
    }

    private void initView() {
        defultRl = findViewById(R.id.shanyan_demo_defult);
        //videoView = findViewById(R.id.shanyan_demo_video);
        shanyan_login_relative = findViewById(R.id.shanyan_login_relative);
        loginActivityWeakReference = new WeakReference<>(this);
        if (isOpenAuth) {
            defultRl.setVisibility(View.GONE);
        } else {
            defultRl.setVisibility(View.VISIBLE);
        }
        videoView = new MyVideoView(getApplicationContext());
        RelativeLayout.LayoutParams mLayoutParams = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT);
        shanyan_login_relative.addView(videoView, 0, mLayoutParams);
        RelativeLayout relativeLayout = findViewById(R.id.shanyan_dmeo_shanyan_view_navigationbar_include);
        ImageView weixin = relativeLayout.findViewById(R.id.shanyan_dmeo_weixin);
        ImageView qq = relativeLayout.findViewById(R.id.shanyan_dmeo_qq);
        ImageView weibo = relativeLayout.findViewById(R.id.shanyan_dmeo_weibo);
        weixin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(LoginActivity.this, OtherLoginActivity.class);
                intent.putExtra("type", "0");
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);
            }
        });
        qq.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(LoginActivity.this, OtherLoginActivity.class);
                intent.putExtra("type", "1");
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);

            }
        });
        weibo.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(LoginActivity.this, OtherLoginActivity.class);
                intent.putExtra("type", "2");
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);

            }
        });
    }

    public void doClick(View view) {
        switch (view.getId()) {
            case R.id.shanyan_demo_navigationbar_back_root:
                finish();
                break;

            case R.id.shanyan_demo_login:
                if (OnMultiClickUtils.isMultiClickClick(getApplicationContext())) {
                    OneKeyLoginManager.getInstance().setAuthThemeConfig(ConfigUtils.getCJSConfig(getApplicationContext()), ConfigUtils.getCJSLandscapeUiConfig(getApplicationContext()));
                    openLoginActivity();
                }
                break;
            case R.id.shanyan_demo_other:
                if (OnMultiClickUtils.isMultiClickClick(getApplicationContext())) {
                    startOtherActivity("3");
                }
                break;
        }


    }

    private void startOtherActivity(String s) {
        Intent intent = new Intent(LoginActivity.this, OtherLoginActivity.class);
        intent.putExtra("type", s);
        startActivity(intent);
    }

    private void openLoginActivity() {
        //拉取授权页方法
        OneKeyLoginManager.getInstance().openLoginAuth(false, new OpenLoginAuthListener() {
            @Override
            public void getOpenLoginAuthStatus(int code, String result) {
                if (1000 == code) {
                    isOpenAuth = true;
                    Animation animation = AnimationUtils.loadAnimation(LoginActivity.this, R.anim.shanyan_dmeo_fade_out_anim);
                    defultRl.startAnimation(animation);
                    defultRl.setVisibility(View.GONE);
                    //拉起授权页成功
                    Log.e("VVV", "拉起授权页成功： _code==" + code + "   _result==" + result);
                } else {
                    //拉起授权页失败
                    Log.e("VVV", "拉起授权页失败： _code==" + code + "   _result==" + result);
                    AbScreenUtils.showToast(getApplicationContext(), result);
                }
            }
        }, new OneKeyLoginListener() {
            @Override
            public void getOneKeyLoginStatus(int code, String result) {
                if (1011 == code) {
                    Animation animation = AnimationUtils.loadAnimation(LoginActivity.this, R.anim.shanyan_demo_fade_in_anim);
                    defultRl.startAnimation(animation);
                    defultRl.setVisibility(View.VISIBLE);
                    isOpenAuth = false;
                    Log.e("VVV", "用户点击授权页返回： _code==" + code + "   _result==" + result);
                    return;
                } else if (1000 == code) {
                    Log.e("VVV", "用户点击登录获取token成功： _code==" + code + "   _result==" + result);
                    //OneKeyLoginManager.getInstance().setLoadingVisibility(false);
                    //AbScreenUtils.showToast(getApplicationContext(), "用户点击登录获取token成功");
                } else {
                    Log.e("VVV", "用户点击登录获取token失败： _code==" + code + "   _result==" + result);
                }
                long startTime = System.currentTimeMillis();
                startResultActivity(code, result, startTime);
            }
        });
    }

    private void startResultActivity(int code, String result, long startTime) {
        Intent intent = new Intent(LoginActivity.this, ResultActivity.class);
        intent.putExtra("type", "0");
        intent.putExtra("startTime", startTime);
        intent.putExtra("loginResult", result);
        intent.putExtra("loginCode", code);
        startActivity(intent);
        OneKeyLoginManager.getInstance().finishAuthActivity();
        OneKeyLoginManager.getInstance().removeAllListener();
        isOpenAuth = false;
    }


}
