package com.chuanglan.shanyan_sdk_test_demo.view;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.ClipData;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.bumptech.glide.Glide;
import com.chuanglan.shanyan_sdk.OneKeyLoginManager;
import com.chuanglan.shanyan_sdk.listener.GetPhoneInfoListener;
import com.chuanglan.shanyan_sdk_test_demo.BuildConfig;
import com.chuanglan.shanyan_sdk_test_demo.R;
import com.chuanglan.shanyan_sdk_test_demo.utils.AbScreenUtils;

import org.json.JSONObject;


public class ResultActivity extends Activity implements View.OnClickListener {

    private final static int FILE_CHOOSER_RESULT_CODE = 10000;
    private ImageView image_result;
    private long time;
    private String result;
    private int code;
    private TextView result_phone, result_telecom, errorText, login_success;
    private RelativeLayout try_again;
    private LinearLayout authenticationresult_success, authenticationresult_fail;
    private WebView mWebView;
    private RelativeLayout online_customer, online_call;
    private ValueCallback<Uri> uploadMessage;
    private ValueCallback<Uri[]> uploadMessageAboveL;
    private long startTime;
    private String mobile;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        OneKeyLoginManager.getInstance().finishAuthActivity();
        OneKeyLoginManager.getInstance().removeAllListener();
        setContentView(R.layout.shanyan_demo_activity_result);
        if (null != LoginActivity.loginActivityWeakReference && null != LoginActivity.loginActivityWeakReference.get()) {
            LoginActivity.loginActivityWeakReference.get().finish();
        }
        initViews();
        initEvent();
        /************重新预取号，建议放到退出登录事件里面，缩短下次拉起授权页的时间***************/
        //闪验SDK预取号（可缩短拉起授权页时间）
        OneKeyLoginManager.getInstance().getPhoneInfo(new GetPhoneInfoListener() {
            @Override
            public void getPhoneInfoStatus(int code, String result) {
                //预取号回调
                Log.e("VVV", "预取号： code==" + code + "   result==" + result);
            }
        });
    }

    private void initViews() {
        image_result = findViewById(R.id.shanyan_dmeo_image_result);
        result_phone = findViewById(R.id.shanyan_dmeo_result_phone);
        result_telecom = findViewById(R.id.shanyan_dmeo_result_telecom);
        login_success = findViewById(R.id.shanyan_dmeo_login_success);
        try_again = findViewById(R.id.shanyan_dmeo_try_again);
        authenticationresult_success = findViewById(R.id.shanyan_dmeo_authenticationresult_success);
        authenticationresult_fail = findViewById(R.id.shanyan_dmeo_authenticationresult_fail);
        errorText = findViewById(R.id.shanyan_dmeo_authentication_errorText);
        mWebView = findViewById(R.id.shanyan_dmeo_baseweb_webview);
        online_customer = findViewById(R.id.shanyan_dmeo_online_customer);
        online_call = findViewById(R.id.shanyan_dmeo_online_call);
        Glide.with(this).load(R.mipmap.shanyan_demo_result_sucess).into(image_result);
        mWebView.getSettings().setJavaScriptEnabled(true);
        mWebView.getSettings().setSupportZoom(true);
        mWebView.getSettings().setBuiltInZoomControls(true);
        mWebView.getSettings().setCacheMode(WebSettings.LOAD_NO_CACHE);
        mWebView.getSettings().setSupportMultipleWindows(true);
        mWebView.getSettings().setJavaScriptCanOpenWindowsAutomatically(true);
        try_again.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
        online_call.setOnClickListener(this);
        online_customer.setOnClickListener(this);
        mWebView.setWebChromeClient(new WebChromeClients()
        );
        mWebView.loadUrl("http://kefu253.udesk.cn/im_client/?web_plugin_id=48056");

    }

    private void openImageChooserActivity() {
        //调用自己的图库
        Intent i = new Intent(Intent.ACTION_GET_CONTENT);
        i.addCategory(Intent.CATEGORY_OPENABLE);
        i.setType("image/*");
        startActivityForResult(Intent.createChooser(i, "Image Chooser"), FILE_CHOOSER_RESULT_CODE);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == FILE_CHOOSER_RESULT_CODE) { //处理返回的图片，并进行上传
            if (null == uploadMessage && null == uploadMessageAboveL) {
                return;
            }
            Uri result = data == null || resultCode != RESULT_OK ? null : data.getData();
            if (uploadMessageAboveL != null) {
                onActivityResultAboveL(requestCode, resultCode, data);
            } else if (uploadMessage != null) {
                uploadMessage.onReceiveValue(result);
                uploadMessage = null;
            }
        }
    }

    @TargetApi(Build.VERSION_CODES.LOLLIPOP)
    private void onActivityResultAboveL(int requestCode, int resultCode, Intent intent) {
        if (requestCode != FILE_CHOOSER_RESULT_CODE || uploadMessageAboveL == null) {
            return;
        }
        Uri[] results = null;
        if (resultCode == Activity.RESULT_OK) {
            if (intent != null) {
                String dataString = intent.getDataString();
                ClipData clipData = intent.getClipData();
                if (clipData != null) {
                    results = new Uri[clipData.getItemCount()];
                    for (int i = 0; i < clipData.getItemCount(); i++) {
                        ClipData.Item item = clipData.getItemAt(i);
                        results[i] = item.getUri();
                    }
                }
                if (dataString != null) {
                    results = new Uri[]{Uri.parse(dataString)};
                }
            }
        }
        uploadMessageAboveL.onReceiveValue(results);
        uploadMessageAboveL = null;
    }

    private void initEvent() {
        Intent intent = getIntent();
        String type = intent.getStringExtra("type");
        if ("0".equals(type)) {
            code = intent.getIntExtra("loginCode", 0);
            result = intent.getStringExtra("loginResult");
            if (code == 1000) {
                login_success.setText("成功获取到token令牌，置换手机号请对接后台接口");
                time = intent.getLongExtra("startTime", 0);
                try {
                    JSONObject jsonObject = new JSONObject(result);
                    //应用的appid
                    String token = jsonObject.optString("token");
                    displayOperator(token);
                } catch (Exception e) {
                    e.printStackTrace();
                    errorText.setText("错误日志：" + e.toString());
                    authenticationresult_success.setVisibility(View.GONE);
                    authenticationresult_fail.setVisibility(View.VISIBLE);
                }
            } else {
                errorText.setText("状态码：" + code + "\n错误日志：" + result);
                authenticationresult_success.setVisibility(View.GONE);
                authenticationresult_fail.setVisibility(View.VISIBLE);
            }
        } else {
            code = intent.getIntExtra("code", -1);
            result = intent.getStringExtra("result");
            if (code == 2000) {
                try {
                    login_success.setText("成功获取到token令牌，校验手机号请对接后台接口");
                    mobile = intent.getStringExtra("mobile");
                    startTime = intent.getLongExtra("startTime", -1);
                } catch (Exception e) {
                    e.printStackTrace();
                }

            } else {
                errorText.setText("状态码：" + code + "\n错误日志：" + result);
                authenticationresult_success.setVisibility(View.GONE);
                authenticationresult_fail.setVisibility(View.VISIBLE);
            }
        }

    }

    private void displayOperator(String token) {
        if (!TextUtils.isEmpty(token) && token.length() > 2) {
            switch (token.substring(1, 2)) {
                case "3":
                    result_telecom.setVisibility(View.VISIBLE);
                    result_telecom.setText("该能力由中国电信提供");
                    break;
                case "2":
                    result_telecom.setVisibility(View.VISIBLE);
                    result_telecom.setText("该能力由中国联通提供");
                    break;
                case "1":
                    result_telecom.setVisibility(View.VISIBLE);
                    result_telecom.setText("该能力由中国移动提供");
                    break;
                default:
                    result_telecom.setVisibility(View.GONE);
                    break;
            }
        } else {
            result_telecom.setVisibility(View.GONE);
        }
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.shanyan_dmeo_online_call:
                Intent dialIntent = new Intent();
                dialIntent.setAction(Intent.ACTION_DIAL);
                dialIntent.setData(Uri.parse("tel:400-9669-253"));
                startActivity(dialIntent);
                break;
        }
    }

    public class WebChromeClients extends WebChromeClient {
        // For Android < 3.0
        public void openFileChooser(ValueCallback<Uri> valueCallback) {
            uploadMessage = valueCallback;
            openImageChooserActivity();
        }

        // For Android  >= 3.0
        public void openFileChooser(ValueCallback valueCallback, String acceptType) {
            uploadMessage = valueCallback;
            openImageChooserActivity();
        }

        //For Android  >= 4.1
        public void openFileChooser(ValueCallback<Uri> valueCallback, String acceptType, String capture) {
            uploadMessage = valueCallback;
            openImageChooserActivity();
        }

        // For Android >= 5.0
        @Override
        public boolean onShowFileChooser(WebView webView, ValueCallback<Uri[]> filePathCallback, WebChromeClient.FileChooserParams fileChooserParams) {
            uploadMessageAboveL = filePathCallback;
            openImageChooserActivity();
            return true;
        }
    }
}
